Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update document

PATCH/workspaces/{organizationId}/documents/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
titlestring
min length 1
iconstring | null
contentobject[] | string
Show properties
Any of:
object[]
Array of object
object
string
string
contentFormatstring
Allowed:blocksmarkdown
slugstring | null
projectIdstring | null
issueIdstring | null
initiativeIdstring | null
parentDocumentIdstring | null
spaceIdstring | null
isTemplateboolean
Responses
200Document updated
idstringrequired
organizationIdstringrequired
titlestringrequired
iconstring | nullrequired
contentobject[] | stringrequired
Show properties
Any of:
object[]
Array of object
object
string
string
contentFormatstringrequired
Allowed:blocksmarkdown
slugstring | nullrequired
projectIdstring | nullrequired
issueIdstring | nullrequired
initiativeIdstring | nullrequired
parentDocumentIdstring | nullrequired
spaceIdstring | nullrequired
isTemplatebooleanrequired
createdByIdstringrequired
updatedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
trashedAtstring | nullrequired
404Document not found
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/documents/string" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "string",
  "icon": "string",
  "content": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "contentFormat": "blocks",
  "slug": "string",
  "projectId": "string",
  "issueId": "string",
  "initiativeId": "string",
  "parentDocumentId": "string",
  "spaceId": "string",
  "isTemplate": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "title": "string",
  "icon": "string",
  "content": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "contentFormat": "blocks",
  "slug": "string",
  "projectId": "string",
  "issueId": "string",
  "initiativeId": "string",
  "parentDocumentId": "string",
  "spaceId": "string",
  "isTemplate": true,
  "createdById": "string",
  "updatedById": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "trashedAt": "string"
}